<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Builder;

class PagSeguroItemsViewModelBuilder implements Builder {
	protected $items;

	public function build(): PagSeguroItemsViewModel {

		$obj = new PagSeguroItemsViewModel();

		$obj->setItems( $this->items );

		return $obj;

	}

	/**
	 *
	 * @param mixed $items
	 */
	public function setItems($items): PagSeguroItemsViewModelBuilder {

		$this->items = $items;
		return $this;

	}

}

